Handle Update Cvm Scheduled Delete
curl --request PATCH \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/scheduled-delete \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_delete_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/scheduled-delete"
payload = { "scheduled_delete_at": "2023-11-07T05:31:56Z" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_delete_at: '2023-11-07T05:31:56Z'})
};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/scheduled-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": "<string>",
"teepod_id": 123,
"app_id": "<string>",
"vcpu": 123,
"memory": 123,
"disk_size": 123,
"created_at": "2023-11-07T05:31:56Z",
"teepod": {
"id": 123,
"name": "<string>"
},
"user_id": 123,
"vm_uuid": "<string>",
"instance_id": "<string>",
"app_url": "<string>",
"base_image": "<string>",
"manifest_version": 123,
"version": "<string>",
"runner": "<string>",
"docker_compose_file": "<string>",
"features": [
"<string>"
],
"encrypted_env_pubkey": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Handle Update Cvm Scheduled Delete
Update CVM scheduled delete time
PATCH
/
api
/
v1
/
cvms
/
{cvm_id}
/
scheduled-delete
Handle Update Cvm Scheduled Delete
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

